Page MenuHomePhabricator

Community liaison support for contributions on mobile web
Closed, ResolvedPublic

Description

What is the problem?
The Readers web team wants to provide workflows on the mobile website that are currently hidden from editors. We would need to work closely with our communities throughout this process.

How does success of this task look like? How do we know when we are done?
A partnered discussion with community on the following:

  • how this change is implemented
  • what workflows are most important
  • how to prioritize fixes after feature deployment
  • how we can improve the feature set in the future

Is there any goal, program, project, team related with this request?
Output 3.1 of the annual plan: Contribution tools on mobile web via an existing mediawiki skin

What is your expected timeline from start to end? Is there a hard deadline?
There is no hard deadline. We expect the work around this project to continue at least into Q3 of the upcoming fiscal year

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 19 2018, 6:03 PM
Elitre added a subscriber: Elitre.Jun 21 2018, 2:44 PM

Thanks for filing the task.

CKoerner_WMF triaged this task as Normal priority.Jun 21 2018, 5:01 PM
CKoerner_WMF moved this task from ToDo to Web on the Readers-Community-Engagement board.
Vvjjkkii renamed this task from Community liaison support for contributions on mobile web to 8maaaaaaaa.Jul 1 2018, 1:03 AM
Vvjjkkii removed CKoerner_WMF as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: CKoerner_WMF; removed: Aklapper.
CommunityTechBot renamed this task from 8maaaaaaaa to Community liaison support for contributions on mobile web.Jul 1 2018, 3:56 PM
CommunityTechBot assigned this task to CKoerner_WMF.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot edited subscribers, added: Aklapper; removed: CKoerner_WMF.

@ovasileva and I chatted about the rough timeline/workflow for the next few weeks/month

  • Update the project page with some prototypes (interactive, images, or video)
  • Notify folks via the usual mediums (mailing lists, tech news, project talk page) and ask for feedback on proposals
    • Include folks who individually asked to be contacted about development

First, an updated project page (prototypes forthcoming):

https://www.mediawiki.org/wiki/Reading/Web/Advanced_mobile_contributions

A delayed update. Apologies. The interviews have been published with findings. Credit to Olga and Alex.

https://www.mediawiki.org/wiki/Reading/Web/Advanced_mobile_contributions/Wikimania_interviews

The next step is creating a prototype with revised mobile navigation.

https://www.mediawiki.org/wiki/Reading/Web/Advanced_mobile_contributions#September_18,_2018_-_Need_your_help!_Collecting_feedback_for_the_new_navigation_prototypes

The team has created a page asking for feedback on this update.

https://www.mediawiki.org/wiki/Reading/Web/Advanced_mobile_contributions/Navigation_prototype_feedback

We (Olga) reached out to ~30 folks from Wikimania who asked to be contacted with future developments to ask for their participation.

A note was also included in this week's Tech News: https://meta.wikimedia.org/wiki/Tech/News/2018/38

I've sent a message to 15 wiki projects Village pump equivalent.

https://meta.wikimedia.org/wiki/User:CKoerner_(WMF)/Mobile_contributions_navigation_prototype

These were based on mobile activity in the community as compared to others.

https://meta.wikimedia.org/wiki/User:CKoerner_(WMF)/Mobile_contributions_navigation_prototype/Distribution_list

A message was also sent to Wikipedia Weekly: https://www.facebook.com/groups/wikipediaweekly/permalink/1827592103955279/

And the wikitech-l and moblie-l mailing list posts: https://lists.wikimedia.org/pipermail/wikitech-l/2018-September/090831.html

CKoerner_WMF closed this task as Resolved.Oct 9 2018, 4:01 PM

I'm going to resolve this task as the work is generally complete for this quarter. I suggest if the Readers Web team (and Olga and I briefly discussed this) needs support for the coming quarter (around Special pages on mobile) then we create a separate and specific task for those outreach and community relation needs. :)